%global _legacy_common_support 1

Name:		roadmap
Version:	1.2.1
Release:	%mkrel 24
Summary:	GPS Tracker
Group:		Sciences/Geosciences
License:	GPLv2+
URL:		https://roadmap.sourceforge.net/
Source0:	https://downloads.sourceforge.net/roadmap/%{name}-%{version}-src.tar.gz
Patch2:		roadmap-1.2.1-mdv-fix-paths.patch
Patch3:		roadmap-1.2.1-mga-use-gpsd3.patch
Requires:	gpsd
BuildRequires:	pkgconfig(shapelib)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(popt)
# To resolve /usr/bin/php file dep at build time
BuildRequires:	php-cli
# due to .php file in /bin/...:
%global __requires_exclude osmgetbmapcore.php

%description
A navigation system that displays US street maps (from the US Census Bureau)
and tracks a vehicle using GPS. Specific areas can be displayed by selecting
a street address (street number & name, city, and state).
RoadMap can run on iPAQ and Zaurus.


%prep
%autosetup -p1

%build
export CFLAGS="%{optflags} -std=gnu17 -ffast-math -I%{_includedir}/libshp"
export LDFLAGS="%{ldflags}"

make -C src \
	DESKTOP=GTK2 \
	SHAPEFILES=yes

%install
%make_install -C src \
	DESKTOP=GTK2 \
	INSTALLDIR=%{_prefix} \
	desktopdir=%{buildroot}%{_datadir}/applications

install -m755 src/gtk2/gtkroadgps -D %{buildroot}%{_bindir}/roadgps
install -m755 src/gtk2/gtkroadmap -D %{buildroot}%{_bindir}/roadmap
pushd src/icons/
install -m644 roadmap-16.png -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 roadmap-32.png -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 roadmap-48.png -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -m644 roadmap-64.png -D %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
popd

# not needed
rm -rf doc/Installation

%files
%doc README doc/*
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/pixmaps/*.png
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/*.1*


%changelog
* Mon May 26 2025 ns80 <ns80> 1.2.1-24.mga10
+ Revision: 2186500
- try to fix building with GCC 15

* Thu Oct 10 2024 daviddavid <daviddavid> 1.2.1-23.mga10
+ Revision: 2104556
- install desktop icons into hicolor dir

* Thu Oct 10 2024 daviddavid <daviddavid> 1.2.1-22.mga10
+ Revision: 2104530
- rebuild for new shapelib 1.6.1

* Sun Feb 12 2023 mrambo3501 <mrambo3501> 1.2.1-21.mga9
+ Revision: 1941099
- rebuild for gpsd 3.25

* Sat Mar 26 2022 umeabot <umeabot> 1.2.1-20.mga9
+ Revision: 1828334
- Mageia 9 Mass Rebuild

* Fri Aug 21 2020 joequant <joequant> 1.2.1-19.mga8
+ Revision: 1617157
- bump

* Fri Aug 21 2020 joequant <joequant> 1.2.1-18.mga8
+ Revision: 1617156
- fix gcc10 build

* Fri Feb 14 2020 umeabot <umeabot> 1.2.1-17.mga8
+ Revision: 1516502
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.2.1-16.mga7
+ Revision: 1300842
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.2.1-15.mga7
+ Revision: 950056
- Mageia 6 Mass Rebuild

* Tue Oct 21 2014 tv <tv> 1.2.1-14.mga5
+ Revision: 792301
- try harder to exclude bogus deps

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-13.mga5
+ Revision: 746112
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 tv <tv> 1.2.1-12.mga5
+ Revision: 737355
- fix excludes

* Fri Oct 03 2014 tv <tv> 1.2.1-11.mga5
+ Revision: 736432
- add excludes for .php file in bindir...

* Wed Oct 01 2014 tv <tv> 1.2.1-10.mga5
+ Revision: 734249
- rebuild for pear deps

* Fri Sep 26 2014 tv <tv> 1.2.1-9.mga5
+ Revision: 725227
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-8.mga5
+ Revision: 688686
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.1-7.mga4
+ Revision: 518037
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.2.1-6.mga3
+ Revision: 380373
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 21 2012 wally <wally> 1.2.1-5.mga3
+ Revision: 273067
- build using our optflags and ldflags
- BR php-cli to resolve file dep at build time
- clean .spec a bit

* Sat Jul 21 2012 solbu <solbu> 1.2.1-4.mga3
+ Revision: 272994
- Import Mandriva package
- Spec cleanup
- Patch: use gpsd3 instead of gpsd2
- Fix License tag


* Tue Sep 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.1-3mdv2010.0
+ Revision: 442804
- drop tautologic references to README in package description

* Tue Sep 15 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.2.1-2mdv2010.0
+ Revision: 442754
- rebuild

* Sat Mar 14 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.1-1mdv2009.1
+ Revision: 355117
- new version

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tvignaud@mandriva.com>
    - auto convert menu to XDG
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Pascal Terjan <pterjan@mandriva.org>
    - Import roadmap

* Thu Feb 16 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.10-5mdk
- Fix Group (thanks plg)

* Sat Dec 17 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.10-4mdk
- Add BuildRequires : popt-devel

* Thu Jun 16 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.10-3mdk
- fix buildrequires

* Thu Jun 16 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.10-2mdk
- fix hardcoded paths (P2)
- add usdir.rdm file
- require gpsd in stead of gps3d

* Thu Jun 16 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.10-1mdk
- initial release (club request :)
